com.pdfunit.util

## Class ImageHelper

- java.lang.Object
- - com.pdfunit.util.ImageHelper

-     @DoNotObfuscate
      public final class ImageHelper
      extends java.lang.Object

  This class provides helpful methods dealing with images.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `equalsByBytes(java.awt.image.BufferedImage imageLeft, java.awt.image.BufferedImage imageRight)` This method compares two images byte by byte.
    `static java.awt.image.BufferedImage` | `flipHorizontal(java.awt.image.BufferedImage image)`
    `static java.awt.image.BufferedImage` | `flipVertical(java.awt.image.BufferedImage image)`
    `static java.awt.image.BufferedImage` | `getAsImage(java.io.File imageFile)` Reading an image file and converting it into a BufferedImage.
    `static java.awt.image.BufferedImage` | `getAsImage(java.io.InputStream imageStream)` Reading an image input stream and converting it into a BufferedImage.
    `static java.awt.image.BufferedImage` | `getAsImage(java.lang.String imageFileName)` Reading an image file and converting it into a BufferedImage.
    `static java.awt.image.BufferedImage` | `getAsImage(java.net.URL imageURL)` Reading an image from an URL and converting it into a BufferedImage.
    `static java.awt.image.BufferedImage` | `rotateClockwise90(java.awt.image.BufferedImage image)`
    `static void` | `writeImageIn72DPI(java.awt.image.BufferedImage image, java.io.File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageHelper

          public ImageHelper()

  - ### Method Detail

    - #### getAsImage

          public static java.awt.image.BufferedImage getAsImage(java.io.File imageFile)

      Reading an image file and converting it into a BufferedImage.

    - #### getAsImage

          public static java.awt.image.BufferedImage getAsImage(java.lang.String imageFileName)

      Reading an image file and converting it into a BufferedImage.

    - #### getAsImage

          public static java.awt.image.BufferedImage getAsImage(java.net.URL imageURL)

      Reading an image from an URL and converting it into a BufferedImage.

    - #### getAsImage

          public static java.awt.image.BufferedImage getAsImage(java.io.InputStream imageStream)

      Reading an image input stream and converting it into a BufferedImage.

    - #### equalsByBytes

          public static boolean equalsByBytes(java.awt.image.BufferedImage imageLeft,
                              java.awt.image.BufferedImage imageRight)

      This method compares two images byte by byte.

    - #### rotateClockwise90

          public static java.awt.image.BufferedImage rotateClockwise90(java.awt.image.BufferedImage image)

    - #### flipVertical

          public static java.awt.image.BufferedImage flipVertical(java.awt.image.BufferedImage image)

    - #### flipHorizontal

          public static java.awt.image.BufferedImage flipHorizontal(java.awt.image.BufferedImage image)

    - #### writeImageIn72DPI

          public static void writeImageIn72DPI(java.awt.image.BufferedImage image,
                               java.io.File file)
                                        throws javax.imageio.metadata.IIOInvalidTreeException,
                                               java.io.IOException

      Throws:
        `javax.imageio.metadata.IIOInvalidTreeException`
        `java.io.IOException`

Copyright (C) PDFUnit.com. See here for license.